Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Build error (osqa): requires legacy django #76

Closed
alonswartz opened this issue Aug 7, 2013 · 3 comments

Comments

Projects
None yet
2 participants
@alonswartz
Copy link
Member

commented Aug 7, 2013

+ python manage.py syncdb --all --noinput
Traceback (most recent call last):
File "manage.py", line 13, in <module>
execute_manager(settings)
File "/usr/lib/python2.7/dist-packages/django/core/management/__init__.py", line 459, in execute_manager
utility.execute()
File "/usr/lib/python2.7/dist-packages/django/core/management/__init__.py", line 382, in execute
self.fetch_command(subcommand).run_from_argv(self.argv)
File "/usr/lib/python2.7/dist-packages/django/core/management/__init__.py", line 261, in fetch_command
klass = load_command_class(app_name, subcommand)
File "/usr/lib/python2.7/dist-packages/django/core/management/__init__.py", line 69, in load_command_class
module = import_module('%s.management.commands.%s' % (app_name, name))
File "/usr/lib/python2.7/dist-packages/django/utils/importlib.py", line 35, in import_module
__import__(name)
File "/usr/lib/python2.7/dist-packages/south/management/commands/__init__.py", line 13, in <module>
from south.management.commands.syncdb import Command as SyncCommand
File "/usr/lib/python2.7/dist-packages/south/management/commands/syncdb.py", line 17, in <module>
from south.db import dbs
File "/usr/lib/python2.7/dist-packages/south/db/__init__.py", line 78, in <module>
db = dbs[DEFAULT_DB_ALIAS]
KeyError: 'default'
make: *** [build/stamps/root.patched] Error 1

@alonswartz

This comment has been minimized.

Copy link
Member Author

commented Sep 3, 2013

I've already bugfixed several issues for newer django compatibility, but I keep hitting more and more (see below). Seems development stopped March 2011...

mod_wsgi (pid=24404): Exception occurred processing WSGI script '/var/www/osqa/wsgi_handler.py'.
Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/django/core/handlers/wsgi.py", line 219, in __call__
    self.load_middleware()
  File "/usr/lib/python2.7/dist-packages/django/core/handlers/base.py", line 45, in load_middleware
    mod = import_module(mw_module)
  File "/usr/lib/python2.7/dist-packages/django/utils/importlib.py", line 35, in import_module
    __import__(name)
  File "/var/www/osqa/forum/middleware/extended_user.py", line 4, in <module>
    from forum.views.auth import forward_suspended_user
  File "/var/www/osqa/forum/views/__init__.py", line 1, in <module>
    import readers
  File "/var/www/osqa/forum/views/readers.py", line 25, in <module>
    from forum.utils import pagination
  File "/var/www/osqa/forum/utils/pagination.py", line 168, in <module>
    page_numbers_template = template.loader.get_template('paginator/page_numbers.html')
  File "/usr/lib/python2.7/dist-packages/django/template/loader.py", line 145, in get_template
    template, origin = find_template(template_name)
  File "/usr/lib/python2.7/dist-packages/django/template/loader.py", line 128, in find_template
    loader = find_template_loader(loader_name)
  File "/usr/lib/python2.7/dist-packages/django/template/loader.py", line 101, in find_template_loader
    raise ImproperlyConfigured('Error importing template source loader %s: "%s"' % (loader, e))
ImproperlyConfigured: Error importing template source loader django.template.loaders.filesystem.load_template_source: "'module' object has no attribute 'load_template_source'"

@alonswartz alonswartz reopened this Sep 3, 2013

@JedMeister

This comment has been minimized.

Copy link
Member

commented Apr 10, 2015

It seems that OSQA now has a GitHub repo. It appears to be alive...

See here: https://github.com/dzone/OSQA

@JedMeister JedMeister modified the milestones: 14.0, 13.0 Apr 10, 2015

@JedMeister

This comment has been minimized.

Copy link
Member

commented Jul 14, 2015

The software does not appear to be completely dead, but it also doesn't appear to be current or under active development. Apparently there is a beta version that works but currently it does not pass TurnKey quality control. As such this issue is being closed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.